curl --request GET \
--url https://api.cnaught.com/v1/impact/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cnaught.com/v1/impact/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cnaught.com/v1/impact/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cnaught.com/v1/impact/data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cnaught.com/v1/impact/data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cnaught.com/v1/impact/data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cnaught.com/v1/impact/data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "Acme, Inc",
"logo_url": "https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/company_logo.png",
"total_offset_kgs": 100000,
"equivalents": {
"cars_off_the_road": 10,
"trees_planted": 30,
"homes_annual_energy usages": 4,
"flights_lax_to_nyc": 12
},
"since_date": "2023-01-01T18:00:00.000000Z",
"categories": [
{
"category": {
"name": "Emissions Reductions",
"description": "This category covers a wide range of projects that aim to reduce and avoid emissions versus business as usual."
},
"offset_kgs": 100000,
"projects": [
{
"project": {
"id": "tbCjWP",
"name": "Fuzhou Hongmiaoling Landfill Gas to Electricity Project",
"summary": "This project collects landfill gas to generate 2.5MW of electricity at a landfill in southeastern China, avoiding the emission of methane (a potent greenhouse gas) into the atmosphere and using the methane to generate power and displace dirtier coal-fired power in the electric grid.",
"description": "This project supports collection of landfill gas and generation of 2.5MW of electricity at a landfill in Fuzhou City in Fujian Province in southeastern China. The landfill received waste from 1995 until 2008, and—like most landfills—throws off methane as some of that waste decomposes. Credits are generated from two pieces of the project: (1) avoiding the emissions of methane (a potent greenhouse gas) into the atmosphere and (2) using the power generated from the methane (natural gas) to displace dirtier coal-fired power coming from the electric grid. The project clearly required carbon revenues to achieve these two goals and therefore generates high-quality carbon offsets.",
"developer": "Fujian Tianyi Renewable Energy Technology & Utilization Co., Ltd.",
"location_latitude": 26.0833,
"location_longitude": 119.3,
"location_name": "Fujian Province, China",
"primary_image_url": "https://assets.cnaught.com/63a4ad4c853f90fd4c455107/6410c8c65c4300d2a1f433b4_Fuzhou%20LFG.jpeg",
"registry_id": "253",
"registry_name": "Verra",
"registry_url": "https://registry.verra.org/app/projectDetail/VCS/253",
"type": "Landfill Gas",
"un_sdg_goals": []
},
"offset_kgs": 100000,
"vintages": "2023"
}
]
}
]
}{
"title": "Authorization has been denied for this request",
"status": 401
}Get Climate Impact Data
Returns information about the total climate impact of the carbon credit purchases for this account (or a subaccount). This is the underlying information that is displayed on the hosted public impact page for the account / subaccount. You can optionally use the ‘from’ and/or ‘to’ query parameters to only show impact for orders in a particular time period.
curl --request GET \
--url https://api.cnaught.com/v1/impact/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cnaught.com/v1/impact/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cnaught.com/v1/impact/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cnaught.com/v1/impact/data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cnaught.com/v1/impact/data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cnaught.com/v1/impact/data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cnaught.com/v1/impact/data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "Acme, Inc",
"logo_url": "https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/company_logo.png",
"total_offset_kgs": 100000,
"equivalents": {
"cars_off_the_road": 10,
"trees_planted": 30,
"homes_annual_energy usages": 4,
"flights_lax_to_nyc": 12
},
"since_date": "2023-01-01T18:00:00.000000Z",
"categories": [
{
"category": {
"name": "Emissions Reductions",
"description": "This category covers a wide range of projects that aim to reduce and avoid emissions versus business as usual."
},
"offset_kgs": 100000,
"projects": [
{
"project": {
"id": "tbCjWP",
"name": "Fuzhou Hongmiaoling Landfill Gas to Electricity Project",
"summary": "This project collects landfill gas to generate 2.5MW of electricity at a landfill in southeastern China, avoiding the emission of methane (a potent greenhouse gas) into the atmosphere and using the methane to generate power and displace dirtier coal-fired power in the electric grid.",
"description": "This project supports collection of landfill gas and generation of 2.5MW of electricity at a landfill in Fuzhou City in Fujian Province in southeastern China. The landfill received waste from 1995 until 2008, and—like most landfills—throws off methane as some of that waste decomposes. Credits are generated from two pieces of the project: (1) avoiding the emissions of methane (a potent greenhouse gas) into the atmosphere and (2) using the power generated from the methane (natural gas) to displace dirtier coal-fired power coming from the electric grid. The project clearly required carbon revenues to achieve these two goals and therefore generates high-quality carbon offsets.",
"developer": "Fujian Tianyi Renewable Energy Technology & Utilization Co., Ltd.",
"location_latitude": 26.0833,
"location_longitude": 119.3,
"location_name": "Fujian Province, China",
"primary_image_url": "https://assets.cnaught.com/63a4ad4c853f90fd4c455107/6410c8c65c4300d2a1f433b4_Fuzhou%20LFG.jpeg",
"registry_id": "253",
"registry_name": "Verra",
"registry_url": "https://registry.verra.org/app/projectDetail/VCS/253",
"type": "Landfill Gas",
"un_sdg_goals": []
},
"offset_kgs": 100000,
"vintages": "2023"
}
]
}
]
}{
"title": "Authorization has been denied for this request",
"status": 401
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
If present, will only include orders for the subaccount with given id when calculating total impact.
Query Parameters
Optionally specifies the start of the time period of orders to include in the impact calculation. If omitted, then orders starting from account creation are included. If present, must be a date in ISO 8601 format.
Optionally specifies the end of the time period of orders to include in the impact calculation. If omitted, then orders up to the present time are included. If present, must be a date in ISO 8601 format.
Response
Impact Data
The name for the account or subaccount whose impact data is being retrieved
"Acme, Inc"
URL for the logo of the account or subaccount whose impact data is being retrieved
"https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/company_logo.png"
Amount (in kg of CO₂e) of total credits retired for this account or subaccount
100000
Equivalent quantities to illustrate the climate impact of the total credits retired
Show child attributes
Show child attributes
If an explicit "from" date was specified for the impact data request, then this is the requested "from" date. Otherwise, this is the date on which the account / subaccount began using CNaught to take climate action.
"2023-01-01T18:00:00.000000Z"
If an explicit "to" date was specified for the impact data request, then this is the requested "to" date. Otherwise, this is null.
"2023-10-01T18:00:00.000000Z"
The categories that contributed to the impact for this account or subaccount, and details about their contribution to the overall impact
Show child attributes
Show child attributes